import si_fab.all as pdk  # noqa

# load the file with our RingResonator component
from ring import RingResonator
from two_rings import TwoRings, TwoRingsWithDefaults

# 1. Creating the layouts of the two rings
my_ring_1 = RingResonator()
my_ring_1.Layout(ring_radius=5.0)
my_ring_2 = RingResonator()
my_ring_2.Layout(ring_radius=6.0)
# 2. Creating the layout view of the TwoRings class
my_two_rings = TwoRings(name="mytworings", ring_1=my_ring_1, ring_2=my_ring_2)
layout = my_two_rings.Layout()

# 3. Writing to GDSII and visualization
layout.write_gdsii("tworings.gds")
layout.visualize()

# 4. Creating a PCell with ring using the default values
my_two_rings_2 = TwoRingsWithDefaults(name="mytworings2")
my_two_rings_2.Layout().visualize()

# 5. Defaults can also be overridden. Here we attribute use our custom ring2.
my_two_rings_3 = TwoRingsWithDefaults(name="mytworings3", ring_2=my_ring_2)
my_two_rings_3.Layout().visualize()
